using Microsoft.AspNetCore.Authorization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WK5.Core;
using WK5.Core.Models;

namespace WK5_Blazor.Pages.Statistik
{

    [Authorize(Roles = "Vertriebler, Programmierer, Techniker")]
    public partial class SelektionsErloes
    {
        private DateTime LetztesUpdate { get; set; }
        private List<SelektionsmerkmalErloes> _erlöse = new List<SelektionsmerkmalErloes>();


        protected override async Task OnInitializedAsync()
        {
            LetztesUpdate = GlobalConfig.GetStatsSelektionsmerkmalErloesLastUpdate();
            _erlöse = await SelektionsmerkmalErloes.GetSelektionsmerkmalErlöseAsync().ToListAsync();
        }

    }
}
